%global pypi_name pypubsub
%global src_name Pypubsub

Name:           python-%{pypi_name}
Version:        4.0.3
Release:        %mkrel 7
Summary:        Python Publish-Subscribe Package
Group:          Development/Python
License:        BSD
URL:            https://github.com/schollii/pypubsub
Source0:        https://github.com/schollii/%{pypi_name}/archive/v%{version}/%{src_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%description
PyPubSub provides a publish - subscribe API that facilitates the development of
event-based / message-based applications. PyPubSub supports sending and
receiving messages between objects of an application. It is centered on the
notion of a topic; senders publish messages of a given topic, and listeners
subscribe to messages of a given topic. The package also supports a variety of
advanced features that facilitate debugging and maintaining pypubsub topics and
messages in larger applications.

%package -n     python3-%{pypi_name}
Summary:        Python 3 Publish-Subscribe Package
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
PyPubSub provides a publish - subscribe API that facilitates the development of
event-based / message-based applications. PyPubSub supports sending and
receiving messages between objects of an application. It is centered on the
notion of a topic; senders publish messages of a given topic, and listeners
subscribe to messages of a given topic. The package also supports a variety of
advanced features that facilitate debugging and maintaining pypubsub topics and
messages in larger applications.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files pubsub

%check
pushd tests/suite
PYTHONPATH=%{buildroot}%{python3_sitelib} PYTHONDONTWRITEBYTECODE=1 py.test-%{python3_version}
popd

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst src/pubsub/RELEASE_NOTES.txt
%license src/pubsub/LICENSE_BSD_Simple.txt


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 4.0.3-7.mga10
+ Revision: 2238894
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 4.0.3-6.mga10
+ Revision: 2155653
- rebuild for python3.13

* Thu Dec 14 2023 papoteur <papoteur> 4.0.3-5.mga10
+ Revision: 2018048
- rebuild for python 3.12
- adapt to pyproject

* Sat Mar 26 2022 umeabot <umeabot> 4.0.3-4.mga9
+ Revision: 1828460
- Mageia 9 Mass Rebuild

* Tue Feb 15 2022 mrambo3501 <mrambo3501> 4.0.3-3.mga9
+ Revision: 1775611
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 4.0.3-2.mga9
+ Revision: 1707331
- rebuild for python 3.9

* Wed Dec 30 2020 daviddavid <daviddavid> 4.0.3-1.mga8
+ Revision: 1665570
- initial package python-pypubsub

